
Name:    palapeli
Summary: A jigsaw puzzle game
Version: 4.10.1
Release: 1%{?dist}

License: GPLv2+ and GFDL
URL:     https://projects.kde.org/projects/kde/kdegames/%{name}
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: desktop-file-utils
BuildRequires: libkdegames-devel >= %{version}

Requires: %{name}-libs%{?_isa} = %{version}-%{release}
# needs the qvoronoi executable from qhull
Requires: qhull

%description
Palapeli is a single-player jigsaw puzzle game. The object of the
game is to assemble the given pieces to an image.

%package libs
Summary: Runtime libraries for %{name}
License: LGPLv2+
Requires: libkdegames%{?_isa} >= %{_kde4_version}
%description libs
%{summary}.

%package devel
Summary: Development files for %{name} 
License: LGPLv2+
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: kdelibs4-devel
%description devel
%{summary}.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-kde


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/%{name}.desktop


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null ||:
update-mime-database %{_kde4_datadir}/mime &> /dev/null
fi

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null ||:
update-mime-database %{_kde4_datadir}/mime &> /dev/null

%files -f %{name}.lang
%doc COPYING COPYING.DOC
%doc src/pics/LICENSE
%doc slicers/goldberg/README
%{_kde4_bindir}/%{name}
%{_kde4_datadir}/applications/kde4/%{name}.desktop
%{_kde4_configdir}/%{name}*
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_appsdir}/%{name}/
%{_kde4_libdir}/kde4/palapeli_*.so
%{_kde4_libdir}/kde4/palathumbcreator.so
%{_kde4_datadir}/kde4/services/palathumbcreator.desktop
%{_kde4_datadir}/kde4/services/palapeli_*.desktop
%{_kde4_datadir}/kde4/services/ServiceMenus/palapeli_*.desktop
%{_kde4_datadir}/mime/packages/palapeli-mimetypes.xml

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files libs
%doc COPYING.LIB
%{_kde4_libdir}/libpala.so.0*
%{_kde4_datadir}/kde4/servicetypes/libpala-slicerplugin.desktop

%files devel
%{_kde4_includedir}/libpala/
%{_kde4_includedir}/Pala/
%dir %{_kde4_libdir}/libpala/
%{_kde4_libdir}/libpala/*.cmake
%{_kde4_libdir}/libpala.so


%changelog
* Sat Mar 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.1-1
- 4.10.1

* Fri Feb 22 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-4
- update description
- -libs,-devel: License: LGPLv2+

* Fri Feb 15 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-3
- update license, description

* Sat Feb 09 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-2
- Requires: qhull

* Thu Feb 07 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-1
- first try

